package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.AtmosphereYear;
import com.lightinit.hsdatashow.entity.AtmosphereYearExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface AtmosphereYearMapper {
    long countByExample(AtmosphereYearExample example);

    int deleteByExample(AtmosphereYearExample example);

    int deleteByPrimaryKey(Long id);

    int insert(AtmosphereYear record);

    int insertSelective(AtmosphereYear record);

    List<AtmosphereYear> selectByExample(AtmosphereYearExample example);

    AtmosphereYear selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") AtmosphereYear record, @Param("example") AtmosphereYearExample example);

    int updateByExample(@Param("record") AtmosphereYear record, @Param("example") AtmosphereYearExample example);

    int updateByPrimaryKeySelective(AtmosphereYear record);

    int updateByPrimaryKey(AtmosphereYear record);

    List<AtmosphereYear> getAtmosphereYear(@Param("year") int year);
}